列出 healthOverviews
本文内容
命名空间:microsoft.graph
从 healthOverviews 导航属性中检索 serviceHealth 资源。
此操作提供租户的所有订阅服务的运行状况报告。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
ServiceHealth.Read.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
ServiceHealth.Read.All
HTTP 请求
GET /admin/serviceAnnouncement/healthOverviews
可选的查询参数
此方法支持使用 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 serviceHealth 对象集合。 对响应进行分页,每个页面包含 100 个对象。
示例
示例 1:获取 serviceHealth 资源
请求
GET https://graph.microsoft.com/v1.0/admin/serviceAnnouncement/healthOverviews
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var healthOverviews = await graphClient.Admin.ServiceAnnouncement.HealthOverviews
.Request()
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let healthOverviews = await client.api('/admin/serviceAnnouncement/healthOverviews')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/admin/serviceAnnouncement/healthOverviews"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphServiceHealth *serviceHealth = [[MSGraphServiceHealth alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
ServiceHealthCollectionPage healthOverviews = graphClient.admin().serviceAnnouncement().healthOverviews()
.buildRequest()
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Admin().ServiceAnnouncement().HealthOverviews().Get()
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#admin/serviceAnnouncement/healthOverviews",
"value": [
{
"service": "Exchange Online",
"status": "ServicaOperational",
"id": "Exchange"
},
{
"service": "Identity Service",
"status": "ServiceRestored",
"id": "OrgLiveID"
},
{
"service": "Microsoft 365 suite",
"status": "ServiceOperational",
"id": "OSDPPlatform"
}
]
}
示例 2:包含导航属性问题
请求
GET https://graph.microsoft.com/v1.0/admin/serviceAnnouncement/healthOverviews?$expand=issues
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var healthOverviews = await graphClient.Admin.ServiceAnnouncement.HealthOverviews
.Request()
.Expand("issues")
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let healthOverviews = await client.api('/admin/serviceAnnouncement/healthOverviews')
.expand('issues')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/admin/serviceAnnouncement/healthOverviews?$expand=issues"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphServiceHealth *serviceHealth = [[MSGraphServiceHealth alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
ServiceHealthCollectionPage healthOverviews = graphClient.admin().serviceAnnouncement().healthOverviews()
.buildRequest()
.expand("issues")
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestParameters := &msgraphsdk.HealthOverviewsRequestBuilderGetQueryParameters{
Expand: "issues",
}
options := &msgraphsdk.HealthOverviewsRequestBuilderGetRequestConfiguration{
QueryParameters: requestParameters,
}
result, err := graphClient.Admin().ServiceAnnouncement().HealthOverviews().GetWithRequestConfigurationAndResponseHandler(options, nil)
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
Import-Module Microsoft.Graph.Devices.ServiceAnnouncement
Get-MgServiceAnnouncementHealthOverview -ExpandProperty "issues"
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#admin/serviceAnnouncement/healthOverviews(issues())",
"value": [
{
"service": "Exchange Online",
"status": "ServiceOperational",
"id": "Exchange",
"issues": [
{
"startDateTime": "2020-11-04T00:00:00Z",
"endDateTime": "2020-11-20T17:00:00Z",
"lastModifiedDateTime": "2020-11-20T17:56:31.39Z",
"title": "Admins are unable to migrate some user mailboxes from IMAP using the Exchange admin center or PowerShell",
"id": "EX226574",
"impactDescription": "Admins attempting to migrate some user mailboxes using the Exchange admin center or PowerShell experienced failures.",
"classification": "Advisory",
"origin": "Microsoft",
"status": "ServiceRestored",
"service": "Exchange Online",
"feature": "Tenant Administration (Provisioning, Remote PowerShell)",
"featureGroup": "Management and Provisioning",
"isResolved": true,
"details": [],
"posts": [
{
"createdDateTime": "2020-11-12T07:07:38.97Z",
"postType": "Regular",
"description": {
"contentType": "Text",
"content": "Title: Exchange Online service has login issue. We'll provide an update within 30 minutes."
}
}
]
}
]
}
]
}